@Echo Control file to test Kermit-20 36 Bit functions via pseudo-terminal
LCLT20:: @CHKPNT LCLT20
@Define SYS:
@Terminal Ideal
@Get Kermit
@Info Ver
@Start
LCLK20:: @CHKPNT LCLK20
*Echo Condition Local Kermit-20
*CWD KT:
*PWD
*Set Prompt "Local-Kermit-20>"
*Log Transactions K2036P-Local-Transactions.Log
*Set Flow-Control None
*Set Input Default-Timeout 1.75
*Set Input Timeout-Action Quit 
*Set Input Search-Default "\r\n@"
*Define 120 delay 5,send timeout 9,receive timeout 10,retry packets 5,handshake none,send packet-length 120,receive packet-length 120,Flow-Control None,File Bytesize 36
*Show 120
*Set 120
*Time NUL
*Time Copy NUL PTY
*Show Line
*Show Packet
*Show Timing
*Show File
*Show Input
!
!
REMT20:: @CHKPNT REMT20
!
*Echo Sign into remote terminal, mount structure and connect to testing directory
*Connect pseudo-terminal /stay
*Input
*Echo Note, no password needed for same user id on a pseudo-terminal
*Output "slogin\r"
*Input
*Echo Stomp TTY.CMD defaults
*Output "Terminal Ideal\r"
*Input
*Output "Define SYS:\r"
*Input
*Output "sm k20:\r"
*Input
*Output "Connect k20:\r"
*Input
!
!
*Output "where Kermit Loopback Testing [Batch]\r"
*Input
*Output "Finger\r"
*Input
!
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit on remote job
*Output "Set NO Control-C-Capability\r"
*Input
*Output "Get Kermit\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input  "Kermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Log Transactions K2036P-Remote-Transactions.Log\r"
*Input
*Output "Define 120 delay 5,send timeout 7,receive timeout 8,retry packets 5,handshake none,send packet-length 120,receive packet-length 120,Flow-Control None,File Bytesize 36\r"
*Input
*Output "Show 120\r"
*Input
*Output "Set 120\r"
*Input
!
!
*Output "Time NUL\r"
*Input
*Output "Time Copy NUL PTY\r"
*Input
!
!
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show File\r"
*Input
*Output "Show Packet\r"
*Input
!
*Show Line
!
!
*Output "SERVER\r"
*Input "BYE" 
*Input "\r\n" 
*Clear /Display /Repeat 2,2
!
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
*Remote PWD
*Remote Space
!
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Basic tests against NUL:
*Remote Dir "NUL:"
*Remote Type "NUL:"
*Remote Delete "NUL:"
*Echo NUL: looks deleted, but it's still there
*Remote Dir "NUL:"
*Remote CWD "NUL:" ""
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo We can get NUL:, but it doesn't get us much
*Get "NUL:" NUL:
*Statistics
*Put NUL: "NUL:"
*Statistics
!
!
EXETST:: @CHKPNT EXETST
!
*Echo Tests with 36 bit executable files, known to be on all installations
MACRO:: @CHKPNT MACRO
*GET "SYS:MACRO.EXE" MACRO.EXE;T
*Statistics
*Remote Status
LINK:: @CHKPNT LINK
*GET "SYS:LINK.EXE" LINK.EXE;T
*Statistics
*Remote Status
CREF:: @CHKPNT CREF
*GET "SYS:CREF.EXE" CREF.EXE;T
*Statistics
*Remote Status
FILCOM:: @CHKPNT FILCOM
*GET "SYS:FILCOM.EXE" FILCOM.EXE;T
*Statistics
*Remote Status
EMACS:: @CHKPNT EMACS
*GET "SYS:EMACS.EXE" EMACS.EXE;T
*Statistics
*Remote Status
TECO:: @CHKPNT TECO
*GET "SYS:TECO.EXE" TECO.EXE;T
*Statistics
*Remote Status
NFT:: @CHKPNT NFT
*GET "SYS:NFT.EXE" NFT.EXE;T
*Statistics
*Remote Status
GLXLIB:: @CHKPNT GLXLIB
*GET "SYS:GLXLIB.EXE" GLXLIB.EXE;T
*Statistics
*Remote Status
!
!
DONE:: @CHKPNT DONE
*Echo Done with remote tests, exit the remote Kermit
*Finish
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Show Input
*Output "\R"
*Input
*Clear/Peek
!
FINREM:: @CHKPNT FINREM
!
*Echo Show Remote Processor Time Used
*Output "Info Fork\R"
*Input
*Echo Log the remote job out
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Transactions
*Connect Close
*echo No terminal fork to kill since never started one
*echo Connect Kill
*Quit
@Info Fork
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred executables against known originals
@Info Job
@VD SYS:CREF.EXE.0,SYS:EMACS.EXE.0,SYS:FILCOM.EXE.0,SYS:GLXLIB.EXE.0,SYS:LINK.EXE.0,SYS:MACRO.EXE,SYS:NFT.EXE.0,SYS:TECO.EXE.0 /check by-pages
@VD *.EXE.0 /since:today/check by-pages
@Set Trap File
@FILCOM
*TTY:=:SYS:MACRO.EXE,MACRO.EXE/E
*TTY:=SYS:LINK.EXE,LINK.EXE/E
*TTY:=SYS:CREF.EXE,CREF.EXE/E
*TTY:=SYS:FILCOM.EXE,FILCOM.EXE/E
*TTY:=SYS:EMACS.EXE,EMACS.EXE/E
*TTY:=SYS:TECO.EXE,TECO.EXE/E
*TTY:=SYS:NFT.EXE,NFT.EXE/E
*TTY:=SYS:GLXLIB.EXE,GLXLIB.EXE/E
=
@Echo That's all Folks!
